import Avido from 'avido';const client = new Avido({ apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted});const response = await client.validateWebhook.validate({ body: { applicationId: '456e7890-e89b-12d3-a456-426614174000', prompt: 'I lost my card, please block it.', testId: '123e4567-e89b-12d3-a456-426614174000', }, signature: 'abc123signature',});console.log(response.valid);
import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.validate_webhook.validate(
body={
"application_id": "456e7890-e89b-12d3-a456-426614174000",
"prompt": "I lost my card, please block it.",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
},
signature="abc123signature",
)
print(response.valid)
Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.
POST
/
v0
/
validate-webhook
JavaScript
import Avido from 'avido';const client = new Avido({ apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted});const response = await client.validateWebhook.validate({ body: { applicationId: '456e7890-e89b-12d3-a456-426614174000', prompt: 'I lost my card, please block it.', testId: '123e4567-e89b-12d3-a456-426614174000', }, signature: 'abc123signature',});console.log(response.valid);
import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.validate_webhook.validate(
body={
"application_id": "456e7890-e89b-12d3-a456-426614174000",
"prompt": "I lost my card, please block it.",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
},
signature="abc123signature",
)
print(response.valid)
Indicates if the webhook payload was successfully validated.
Example:
true
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Avido","colors":{"primary":"#FF7514","light":"#FF7514","dark":"#803B0A"},"logo":{"light":"https://mintcdn.com/avido/XZVUP7f9J0DVOGvD/images/logo.svg?fit=max\u0026auto=format\u0026n=XZVUP7f9J0DVOGvD\u0026q=85\u0026s=b268bcb717a1c694344be5a48e5ede72","dark":"https://mintcdn.com/avido/XZVUP7f9J0DVOGvD/images/logo.svg?fit=max\u0026auto=format\u0026n=XZVUP7f9J0DVOGvD\u0026q=85\u0026s=b268bcb717a1c694344be5a48e5ede72","href":"https://avidoai.com"},"favicon":"https://mintcdn.com/avido/XZVUP7f9J0DVOGvD/images/logo.svg?fit=max\u0026auto=format\u0026n=XZVUP7f9J0DVOGvD\u0026q=85\u0026s=b268bcb717a1c694344be5a48e5ede72","navbar":{"links":[{"href":"mailto:support@avidoai.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.avidoai.com"}},"footer":{"socials":{"x":"https://x.com/avidoai","github":"https://github.com/avido-ai","linkedin":"https://www.linkedin.com/company/avidoai"}},"fonts":{"family":"Geist","weight":400,"format":"woff2"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"avido","hasAudioNarration":false,"actualSubdomain":"avido","customDomains":["docs.avidoai.com"],"gitSource":{"type":"github","owner":"avido-ai","repo":"avido","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a98bb90b0c4d98bad4c728b","collectionId":"a414f0d7-126f-4050-850d-35b62b4a3ad6","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a98bb90b0c4d98bad4c728b"},"entitlements":{},"buildId":"6a98bb90b0c4d98bad4c728b","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"Documentation","count":236},{"language":"default","tag":"API Reference","count":210},{"language":"default","tag":"Documents","count":20},{"language":"default","tag":"Reports","count":15},{"language":"default","tag":"Tasks","count":15},{"language":"default","tag":"Eval Definitions","count":12},{"language":"default","tag":"QuickstartsV2","count":12},{"language":"default","tag":"Issues","count":9},{"language":"default","tag":"Topics","count":9},{"language":"default","tag":"Experiments","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/webhook/validate-an-incoming-webhook-request","slug":"/api-reference/webhook/validate-an-incoming-webhook-request","pageMetadata":{"title":"Validate an incoming webhook request","description":"Checks the body (including timestamp and signature) against the configured webhook secret. Returns `{ valid: true }` if the signature is valid.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/validate-webhook","href":"/api-reference/webhook/validate-an-incoming-webhook-request","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns \", _jsx(_components.code, {\n children: \"{ valid: true }\"\n }), \" if the signature is valid.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Validate an incoming webhook request","description":"Checks the body (including timestamp and signature) against the configured webhook secret. Returns `{ valid: true }` if the signature is valid.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/validate-webhook","href":"/api-reference/webhook/validate-an-incoming-webhook-request","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"validateWebhook","summary":"Validate an incoming webhook request","description":"Checks the body (including timestamp and signature) against the configured webhook secret. Returns `{ valid: true }` if the signature is valid.","tags":["Webhook"],"requestBody":"449b3667-9012-4b1a-810d-a01975c4846b","responses":{"200":"24ba5fe5-027a-4697-b72b-167942169458","400":"1888276d-255d-4a36-a56b-aed7a290e63e","401":"17c07ac4-e677-42b6-890c-291bb6e49ca8","403":"ec4b56ce-0ae7-49c0-a896-32a0e7cadbfd","422":"2b002b60-0b1f-427d-998d-77d8221730ba","500":"4e78a8b0-c022-4dfb-8063-d71e75520926"},"x-codeSamples":[{"lang":"JavaScript","source":"import Avido from 'avido';\n\nconst client = new Avido({\n apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted\n applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted\n});\n\nconst response = await client.validateWebhook.validate({\n body: {\n applicationId: '456e7890-e89b-12d3-a456-426614174000',\n prompt: 'I lost my card, please block it.',\n testId: '123e4567-e89b-12d3-a456-426614174000',\n },\n signature: 'abc123signature',\n});\n\nconsole.log(response.valid);"},{"lang":"Python","source":"import os\nfrom avido import Avido\n\nclient = Avido(\n api_key=os.environ.get(\"AVIDO_API_KEY\"), # This is the default and can be omitted\n application_id=os.environ.get(\"AVIDO_APPLICATION_ID\"), # This is the default and can be omitted\n)\nresponse = client.validate_webhook.validate(\n body={\n \"application_id\": \"456e7890-e89b-12d3-a456-426614174000\",\n \"prompt\": \"I lost my card, please block it.\",\n \"test_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n },\n signature=\"abc123signature\",\n)\nprint(response.valid)"}],"method":"post","type":"path","servers":["4f236849-7374-466a-8918-4cd00576ab95"],"security":["7bf9289a-dbe8-45a8-acf7-c0f9d38ed7de"],"path":"/v0/validate-webhook","baseUrlOptions":["https://api.avidoai.com"],"title":"Validate an incoming webhook request","codeSamples":[{"lang":"JavaScript","source":"import Avido from 'avido';\n\nconst client = new Avido({\n apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted\n applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted\n});\n\nconst response = await client.validateWebhook.validate({\n body: {\n applicationId: '456e7890-e89b-12d3-a456-426614174000',\n prompt: 'I lost my card, please block it.',\n testId: '123e4567-e89b-12d3-a456-426614174000',\n },\n signature: 'abc123signature',\n});\n\nconsole.log(response.valid);"},{"lang":"Python","source":"import os\nfrom avido import Avido\n\nclient = Avido(\n api_key=os.environ.get(\"AVIDO_API_KEY\"), # This is the default and can be omitted\n application_id=os.environ.get(\"AVIDO_APPLICATION_ID\"), # This is the default and can be omitted\n)\nresponse = client.validate_webhook.validate(\n body={\n \"application_id\": \"456e7890-e89b-12d3-a456-426614174000\",\n \"prompt\": \"I lost my card, please block it.\",\n \"test_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n },\n signature=\"abc123signature\",\n)\nprint(response.valid)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"signature":{"type":"string","description":"HMAC signature for the request body.","example":"abc123signature","isRequired":true,"uniqueKey":"signature","typeLabel":"string"},"body":{"type":"object","properties":{"applicationId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","description":"The unique identifier of the application this test belongs to.","example":"456e7890-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"body.applicationId","typeLabel":"string\u003cuuid>"},"prompt":{"oneOf":[{"type":"string","description":"The user prompt that triggered the test run.","example":"I lost my card, please block it.","isRequired":true,"uniqueKey":"body.prompt.oneOf.0","typeLabel":"string"},{"type":"object","description":"The user prompt that triggered the test run.","example":"I lost my card, please block it.","additionalProperties":{"oneOf":[{}],"uniqueKey":"body.prompt.oneOf.1.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"body.prompt.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"body.prompt","typeLabel":"string | object"},"testId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","description":"The unique identifier for the test run.","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"body.testId","typeLabel":"string\u003cuuid>"},"metadata":{"description":"Metadata from the originating task. Only included when metadata is available.","example":{"customerId":"1","priority":"high"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"body.metadata.additionalProperties","typeLabel":"any"},"uniqueKey":"body.metadata","typeLabel":"object"},"experiment":{"type":"object","properties":{"experimentId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","description":"The unique identifier of the experiment","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"body.experiment.experimentId","typeLabel":"string\u003cuuid>"},"experimentVariantId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","description":"The unique identifier of the experiment variant","example":"123e4567-e89b-12d3-a456-426614174000","isRequired":true,"uniqueKey":"body.experiment.experimentVariantId","typeLabel":"string\u003cuuid>"},"overrides":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"body.experiment.overrides.additionalProperties.additionalProperties","typeLabel":"any"},"title":"WebhookExperimentOverrideInferenceStep","description":"Step in the inference process for an experiment override.","example":{"model":"reasoning","system":"You are a helpful assistant."},"uniqueKey":"body.experiment.overrides.additionalProperties","typeLabel":"WebhookExperimentOverrideInferenceStep · object"},"isRequired":true,"uniqueKey":"body.experiment.overrides","typeLabel":"object"}},"required":["experimentId","experimentVariantId","overrides"],"title":"Webhook Experiment Payload","description":"Payload containing the experiment details.","uniqueKey":"body.experiment","typeLabel":"Webhook Experiment Payload · object"}},"required":["applicationId","prompt","testId"],"title":"WebhookValidationRequestBody","description":"The payload received from Avido. Use this in signature verification.","isRequired":true,"uniqueKey":"body","typeLabel":"WebhookValidationRequestBody · object"},"timestamp":{"description":"Timestamp for the request. Accepts unix milliseconds (string/number) and ISO date strings.","example":"2024-01-01T00:00:00.000Z","type":"string","uniqueKey":"timestamp","typeLabel":"string"}},"required":["signature","body"],"additionalProperties":false,"title":"WebhookRequest","description":"Raw JSON payload sent by an external webhook, including signature and timestamp. HMAC verification is used for security.","uniqueKey":"","typeLabel":"WebhookRequest · object"},"examples":{"Example":{"title":"Example","value":{"signature":"abc123signature","body":{"applicationId":"456e7890-e89b-12d3-a456-426614174000","prompt":"I lost my card, please block it.","testId":"123e4567-e89b-12d3-a456-426614174000","metadata":{"customerId":"1","priority":"high"}},"timestamp":"2024-01-01T00:00:00.000Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"24ba5fe5-027a-4697-b72b-167942169458":{"description":"Webhook is valid","content":{"application/json":{"schema":{"type":"object","properties":{"valid":{"type":"boolean","description":"Indicates if the webhook payload was successfully validated.","example":true,"isRequired":true,"uniqueKey":"valid","typeLabel":"boolean"}},"required":["valid"],"additionalProperties":false,"title":"WebhookValidationResponse","description":"Response object indicating whether the webhook was valid.","uniqueKey":"","typeLabel":"WebhookValidationResponse · object"},"examples":{"success":{"title":"success","value":{"valid":true}}},"exampleType":"examples"}},"exampleType":"examples"},"1888276d-255d-4a36-a56b-aed7a290e63e":{"description":"bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"A human-readable error message explaining the error.","example":"Resource not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["message"],"additionalProperties":false,"title":"ErrorResponse","description":"Standard error format for failed API operations.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"message":"Resource not found"}}},"exampleType":"generated"}},"exampleType":"generated"},"17c07ac4-e677-42b6-890c-291bb6e49ca8":{"description":"unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"A human-readable error message explaining the error.","example":"Resource not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["message"],"additionalProperties":false,"title":"ErrorResponse","description":"Standard error format for failed API operations.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"message":"Resource not found"}}},"exampleType":"generated"}},"exampleType":"generated"},"ec4b56ce-0ae7-49c0-a896-32a0e7cadbfd":{"description":"forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"A human-readable error message explaining the error.","example":"Resource not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["message"],"additionalProperties":false,"title":"ErrorResponse","description":"Standard error format for failed API operations.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"message":"Resource not found"}}},"exampleType":"generated"}},"exampleType":"generated"},"2b002b60-0b1f-427d-998d-77d8221730ba":{"description":"invalid input","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"A human-readable error message indicating what went wrong.","example":"Invalid request data","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"issues":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"issues.items.[INDEX].path","typeLabel":"string[]"}},"required":["code","message","path"],"additionalProperties":false,"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Array of detailed validation error objects.","example":[{"code":"invalid_string","message":"Invalid UUID","path":["id"]}],"isRequired":true,"uniqueKey":"issues","typeLabel":"object[]"}},"required":["message","issues"],"additionalProperties":false,"title":"ValidationErrorResponse","description":"Details about validation errors in incoming requests.","uniqueKey":"","typeLabel":"ValidationErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"message":"Invalid request data","issues":[{"code":"invalid_string","message":"Invalid UUID","path":["id"]}]}}},"exampleType":"generated"}},"exampleType":"generated"},"4e78a8b0-c022-4dfb-8063-d71e75520926":{"description":"internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"A human-readable error message explaining the error.","example":"Resource not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["message"],"additionalProperties":false,"title":"ErrorResponse","description":"Standard error format for failed API operations.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"message":"Resource not found"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7bf9289a-dbe8-45a8-acf7-c0f9d38ed7de":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your unique Avido API key","scopes":[]},"ApplicationId":{"type":"apiKey","in":"header","name":"x-application-id","description":"Your unique Avido Application ID","scopes":[]}}},"servers":{"4f236849-7374-466a-8918-4cd00576ab95":{"url":"https://api.avidoai.com","description":"Production API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your unique Avido API key","scopes":[]},"schema":{"title":"x-api-key","type":"string","description":"Your unique Avido API key","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"x-api-key"},{"scheme":{"type":"apiKey","in":"header","name":"x-application-id","description":"Your unique Avido Application ID","scopes":[]},"schema":{"title":"x-application-id","type":"string","description":"Your unique Avido Application ID","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApplicationId","name":"x-application-id"}],"title":"ApiKey \u0026 ApplicationId"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml"},"subdomain":"avido","siteName":"Avido","title":"Validate an incoming webhook request - Avido","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-16T15:31:42.564Z","originalFileLocation":"api-reference/webhook/validate-an-incoming-webhook-request.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Avido\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Validate an incoming webhook request - Avido\">\u003cmeta data-mint-head property=\"og:description\" content=\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Avido\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://avido.mintlify.app/_mintlify/api/og/v2?division=Webhook\u0026amp;title=Validate+an+incoming+webhook+request\u0026amp;description=Checks+the+body+%28including+timestamp+and+signature%29+against+the+configured+webhook+secret.+Returns+%60%7B+valid%3A+true+%7D%60+if+the+signature+is+valid.\u0026amp;theme=2e4da9745f5fe17e58abdba2\u0026amp;signature=42c8654f8b642dda0a53a56f1a4925578280eb613a3dfb6e58eb96452b705d5e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Validate an incoming webhook request - Avido\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://avido.mintlify.app/_mintlify/api/og/v2?division=Webhook\u0026amp;title=Validate+an+incoming+webhook+request\u0026amp;description=Checks+the+body+%28including+timestamp+and+signature%29+against+the+configured+webhook+secret.+Returns+%60%7B+valid%3A+true+%7D%60+if+the+signature+is+valid.\u0026amp;theme=2e4da9745f5fe17e58abdba2\u0026amp;signature=42c8654f8b642dda0a53a56f1a4925578280eb613a3dfb6e58eb96452b705d5e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/avido/GXmBIkv3Nq2X8cGn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Avido\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF7514\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/webhook/validate-an-incoming-webhook-request.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.avidoai.com/#organization\",\"name\":\"Avido\",\"url\":\"https://docs.avidoai.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/avido/XZVUP7f9J0DVOGvD/images/logo.svg?fit=max\u0026auto=format\u0026n=XZVUP7f9J0DVOGvD\u0026q=85\u0026s=b268bcb717a1c694344be5a48e5ede72\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.avidoai.com#website\",\"name\":\"Avido\",\"url\":\"https://docs.avidoai.com\",\"publisher\":{\"@id\":\"https://docs.avidoai.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request#webpage\",\"url\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request\",\"name\":\"Validate an incoming webhook request\",\"description\":\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.\",\"dateModified\":\"2026-07-16T15:31:42.564Z\",\"isPartOf\":{\"@id\":\"https://docs.avidoai.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Avido\",\"item\":\"https://docs.avidoai.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Validate an incoming webhook request\",\"item\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request#apireference\",\"headline\":\"Validate an incoming webhook request\",\"name\":\"Validate an incoming webhook request\",\"description\":\"Checks the body (including timestamp and signature) against the configured webhook secret. Returns { valid: true } if the signature is valid.\",\"url\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request\",\"mainEntityOfPage\":{\"@id\":\"https://docs.avidoai.com/api-reference/webhook/validate-an-incoming-webhook-request#webpage\"},\"dateModified\":\"2026-07-16T15:31:42.564Z\",\"publisher\":{\"@id\":\"https://docs.avidoai.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.avidoai.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Avido\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Avido","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/changelog"}]},{"tab":"API Reference","groups":[{"group":"Webhook","pages":[{"title":"Validate an incoming webhook request","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/validate-webhook","href":"/api-reference/webhook/validate-an-incoming-webhook-request"},{"title":"Get webhook configuration for an application","description":"Retrieves the webhook configuration for the current application. Returns null if no webhook is configured.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/webhook","href":"/api-reference/webhook/get-webhook-configuration-for-an-application"},{"title":"Create or update webhook configuration for an application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/webhook","href":"/api-reference/webhook/create-or-update-webhook-configuration-for-an-application"},{"title":"Delete webhook configuration for an application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/webhook","href":"/api-reference/webhook/delete-webhook-configuration-for-an-application"},{"title":"Test webhook configuration for an application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/webhook/test","href":"/api-reference/webhook/test-webhook-configuration-for-an-application"}]},{"group":"Assistant","pages":[{"title":"Stream assistant response","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/assistant/chat","href":"/api-reference/assistant/stream-assistant-response"}]},{"group":"Authentication","pages":[{"title":"List enabled auth providers","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/auth/providers","href":"/api-reference/authentication/list-enabled-auth-providers"},{"title":"Get current session","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/auth/session","href":"/api-reference/authentication/get-current-session"},{"title":"List organizations for current session","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/auth/organizations","href":"/api-reference/authentication/list-organizations-for-current-session"},{"title":"Set active organization for current session","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/auth/organizations/set-active","href":"/api-reference/authentication/set-active-organization-for-current-session"},{"title":"Get a public preview of an organization invitation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/auth/invitation-preview","href":"/api-reference/authentication/get-a-public-preview-of-an-organization-invitation"}]},{"group":"Setup","pages":[{"title":"Get install setup status","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/setup/status","href":"/api-reference/setup/get-install-setup-status"}]},{"group":"App Config","pages":[{"title":"Get app config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/app-config","href":"/api-reference/app-config/get-app-config"}]},{"group":"Applications","pages":[{"title":"List applications","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/applications","href":"/api-reference/applications/list-applications"},{"title":"Create a new application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/applications","href":"/api-reference/applications/create-a-new-application"},{"title":"Get a single application by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/applications/{id}","href":"/api-reference/applications/get-a-single-application-by-id"},{"title":"Update an existing application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/applications/{id}","href":"/api-reference/applications/update-an-existing-application"},{"title":"Get a single application by slug","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/applications/by-slug/{slug}","href":"/api-reference/applications/get-a-single-application-by-slug"}]},{"group":"Application Chatbot Config","pages":[{"title":"Get application chatbot config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/applications/{id}/chatbot-config","href":"/api-reference/application-chatbot-config/get-application-chatbot-config"},{"title":"Update application chatbot config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/applications/{id}/chatbot-config","href":"/api-reference/application-chatbot-config/update-application-chatbot-config"},{"title":"Stream application chatbot playground response","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/applications/{id}/chatbot/chat","href":"/api-reference/application-chatbot-config/stream-application-chatbot-playground-response"}]},{"group":"API Keys","pages":[{"title":"List API keys for an application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/api-keys","href":"/api-reference/api-keys/list-api-keys-for-an-application"},{"title":"Create an API key for an application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/api-keys","href":"/api-reference/api-keys/create-an-api-key-for-an-application"},{"title":"Delete an API key","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/api-keys/{keyId}","href":"/api-reference/api-keys/delete-an-api-key"}]},{"group":"Feedback","pages":[{"title":"Send product feedback","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/feedback","href":"/api-reference/feedback/send-product-feedback"}]},{"group":"Traces","pages":[{"title":"List Traces","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/traces","href":"/api-reference/traces/list-traces"},{"title":"Get a single trace by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/traces/{id}","href":"/api-reference/traces/get-a-single-trace-by-id"},{"title":"Get a single trace by Test ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/traces/by-test/{id}","href":"/api-reference/traces/get-a-single-trace-by-test-id"},{"title":"List Trace Sessions","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/traces/sessions","href":"/api-reference/traces/list-trace-sessions"}]},{"group":"Ingestion","pages":[{"title":"Ingest events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/ingest","href":"/api-reference/ingestion/ingest-events"},{"title":"Ingest OTLP traces","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/otel/traces","href":"/api-reference/ingestion/ingest-otlp-traces"}]},{"group":"Tasks","pages":[{"title":"List tasks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks","href":"/api-reference/tasks/list-tasks"},{"title":"Create a new task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks","href":"/api-reference/tasks/create-a-new-task"},{"title":"Bulk update tasks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml patch /v0/tasks","href":"/api-reference/tasks/bulk-update-tasks"},{"title":"Bulk delete tasks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/delete","href":"/api-reference/tasks/bulk-delete-tasks"},{"title":"Bulk archive tasks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/archive","href":"/api-reference/tasks/bulk-archive-tasks"},{"title":"Get task IDs","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/ids","href":"/api-reference/tasks/get-task-ids"},{"title":"Get a single task by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/{id}","href":"/api-reference/tasks/get-a-single-task-by-id"},{"title":"Update an existing task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/tasks/{id}","href":"/api-reference/tasks/update-an-existing-task"},{"title":"Delete a task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/tasks/{id}","href":"/api-reference/tasks/delete-a-task"},{"title":"Get task coverage statistics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/task-coverage","href":"/api-reference/tasks/get-task-coverage-statistics"},{"title":"Run a task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/trigger","href":"/api-reference/tasks/run-a-task"},{"title":"List installed task templates","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/template","href":"/api-reference/tasks/list-installed-task-templates"},{"title":"Install a task template","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/template","href":"/api-reference/tasks/install-a-task-template"},{"title":"Upload tasks via CSV file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/upload-csv","href":"/api-reference/tasks/upload-tasks-via-csv-file"},{"title":"Add tags to multiple tasks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/tags","href":"/api-reference/tasks/add-tags-to-multiple-tasks"}]},{"group":"Task Schedules","pages":[{"title":"Create or update a task schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tasks/schedule","href":"/api-reference/task-schedules/create-or-update-a-task-schedule"},{"title":"Get task schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/{id}/schedule","href":"/api-reference/task-schedules/get-task-schedule"},{"title":"Delete task schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/tasks/{id}/schedule","href":"/api-reference/task-schedules/delete-task-schedule"}]},{"group":"Eval Definitions","pages":[{"title":"Link an evaluation definition to a task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/link","href":"/api-reference/eval-definitions/link-an-evaluation-definition-to-a-task"},{"title":"Unlink an evaluation definition from a task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/unlink","href":"/api-reference/eval-definitions/unlink-an-evaluation-definition-from-a-task"},{"title":"Update task-specific config for an evaluation definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/definitions/{id}/tasks/{taskId}","href":"/api-reference/eval-definitions/update-task-specific-config-for-an-evaluation-definition"},{"title":"Link evaluation definitions to topics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/link-topics","href":"/api-reference/eval-definitions/link-evaluation-definitions-to-topics"},{"title":"Unlink evaluation definitions from topics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/unlink-topics","href":"/api-reference/eval-definitions/unlink-evaluation-definitions-from-topics"},{"title":"Link evaluation definitions to the application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/link-application","href":"/api-reference/eval-definitions/link-evaluation-definitions-to-the-application"},{"title":"Unlink evaluation definitions from the application","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions/unlink-application","href":"/api-reference/eval-definitions/unlink-evaluation-definitions-from-the-application"},{"title":"Get application-level evaluation definitions","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/definitions/application","href":"/api-reference/eval-definitions/get-application-level-evaluation-definitions"},{"title":"List evaluation definitions","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/definitions","href":"/api-reference/eval-definitions/list-evaluation-definitions"},{"title":"Create an evaluation definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/definitions","href":"/api-reference/eval-definitions/create-an-evaluation-definition"},{"title":"Update an evaluation definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/definitions/{id}","href":"/api-reference/eval-definitions/update-an-evaluation-definition"},{"title":"Delete an evaluation definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/definitions/{id}","href":"/api-reference/eval-definitions/delete-an-evaluation-definition"}]},{"group":"Experiments","pages":[{"title":"List experiments","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/experiments","href":"/api-reference/experiments/list-experiments"},{"title":"Create an experiment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/experiments","href":"/api-reference/experiments/create-an-experiment"},{"title":"Get an experiment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/experiments/{id}","href":"/api-reference/experiments/get-an-experiment"},{"title":"Update an experiment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/experiments/{id}","href":"/api-reference/experiments/update-an-experiment"},{"title":"List experiment variants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/experiments/{id}/variants","href":"/api-reference/experiments/list-experiment-variants"},{"title":"Create an experiment variant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/experiments/{id}/variants","href":"/api-reference/experiments/create-an-experiment-variant"},{"title":"Update experiment variant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/experiments/{id}/variants/{variantId}","href":"/api-reference/experiments/update-experiment-variant"},{"title":"Trigger experiment variant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/experiments/{id}/variants/{variantId}/trigger","href":"/api-reference/experiments/trigger-experiment-variant"}]},{"group":"Facts","pages":[{"title":"List facts","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/facts","href":"/api-reference/facts/list-facts"},{"title":"Bulk create facts","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/facts/bulk","href":"/api-reference/facts/bulk-create-facts"},{"title":"Verify or unverify facts","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/facts/verify","href":"/api-reference/facts/verify-or-unverify-facts"},{"title":"Get a single fact by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/facts/{id}","href":"/api-reference/facts/get-a-single-fact-by-id"},{"title":"Update a fact's statement","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/facts/{id}","href":"/api-reference/facts/update-a-facts-statement"},{"title":"Delete a fact","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/facts/{id}","href":"/api-reference/facts/delete-a-fact"}]},{"group":"Inference Steps","pages":[{"title":"List inference steps","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/inference-steps","href":"/api-reference/inference-steps/list-inference-steps"},{"title":"Create an inference step","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/inference-steps","href":"/api-reference/inference-steps/create-an-inference-step"}]},{"group":"Evals","pages":[{"title":"List tests","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tests","href":"/api-reference/evals/list-tests"}]},{"group":"Tests","pages":[{"title":"Get a single test by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tests/{id}","href":"/api-reference/tests/get-a-single-test-by-id"}]},{"group":"Topics","pages":[{"title":"List topics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/topics","href":"/api-reference/topics/list-topics"},{"title":"Create a new topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/topics","href":"/api-reference/topics/create-a-new-topic"},{"title":"Bulk update topics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml patch /v0/topics","href":"/api-reference/topics/bulk-update-topics"},{"title":"Bulk archive topics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/topics/archive","href":"/api-reference/topics/bulk-archive-topics"},{"title":"Get topic IDs","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/topics/ids","href":"/api-reference/topics/get-topic-ids"},{"title":"Get a single topic by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/topics/{id}","href":"/api-reference/topics/get-a-single-topic-by-id"},{"title":"Update a topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/topics/{id}","href":"/api-reference/topics/update-a-topic"},{"title":"Delete a topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/topics/{id}","href":"/api-reference/topics/delete-a-topic"},{"title":"Archive a topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/topics/{id}/archive","href":"/api-reference/topics/archive-a-topic"}]},{"group":"Annotations","pages":[{"title":"List annotations","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/annotations","href":"/api-reference/annotations/list-annotations"},{"title":"Create a new annotation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/annotations","href":"/api-reference/annotations/create-a-new-annotation"},{"title":"Get a single annotation by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/annotations/{id}","href":"/api-reference/annotations/get-a-single-annotation-by-id"},{"title":"Update an annotation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/annotations/{id}","href":"/api-reference/annotations/update-an-annotation"},{"title":"Delete an annotation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/annotations/{id}","href":"/api-reference/annotations/delete-an-annotation"}]},{"group":"Issues","pages":[{"title":"List issues","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/issues","href":"/api-reference/issues/list-issues"},{"title":"Create a new issue","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/issues","href":"/api-reference/issues/create-a-new-issue"},{"title":"Bulk update issues","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml patch /v0/issues","href":"/api-reference/issues/bulk-update-issues"},{"title":"List minimal issues","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/issues/minimal","href":"/api-reference/issues/list-minimal-issues"},{"title":"Get a single issue by ID with duplicates","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/issues/{id}","href":"/api-reference/issues/get-a-single-issue-by-id-with-duplicates"},{"title":"Update an issue","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/issues/{id}","href":"/api-reference/issues/update-an-issue"},{"title":"Delete an issue","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/issues/{id}","href":"/api-reference/issues/delete-an-issue"},{"title":"Get suggested task for an issue","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/issues/{id}/suggested-task","href":"/api-reference/issues/get-suggested-task-for-an-issue"},{"title":"Update and activate suggested task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/issues/{id}/suggested-task","href":"/api-reference/issues/update-and-activate-suggested-task"}]},{"group":"Assignments","pages":[{"title":"List assignments for a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/assignments","href":"/api-reference/assignments/list-assignments-for-a-quickstart"},{"title":"Create a new assignment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/quickstarts/{id}/assignments","href":"/api-reference/assignments/create-a-new-assignment"},{"title":"Bulk reassign assignments","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/quickstarts/{id}/assignments/bulk","href":"/api-reference/assignments/bulk-reassign-assignments"},{"title":"Bulk create assignments","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/quickstarts/{id}/assignments/bulk","href":"/api-reference/assignments/bulk-create-assignments"},{"title":"Get a single assignment by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/assignments/{assignmentId}","href":"/api-reference/assignments/get-a-single-assignment-by-id"},{"title":"Update an assignment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/quickstarts/{id}/assignments/{assignmentId}","href":"/api-reference/assignments/update-an-assignment"},{"title":"Delete an assignment","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/quickstarts/{id}/assignments/{assignmentId}","href":"/api-reference/assignments/delete-an-assignment"}]},{"group":"Contradictions","pages":[{"title":"List contradictions for a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/contradictions","href":"/api-reference/contradictions/list-contradictions-for-a-quickstart"},{"title":"Update a contradiction","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/quickstarts/{id}/contradictions/{contradictionId}","href":"/api-reference/contradictions/update-a-contradiction"},{"title":"Delete a contradiction","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/quickstarts/{id}/contradictions/{contradictionId}","href":"/api-reference/contradictions/delete-a-contradiction"},{"title":"Accept all unresolved contradictions","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/quickstarts/{id}/contradictions/accept-all","href":"/api-reference/contradictions/accept-all-unresolved-contradictions"}]},{"group":"Runs","pages":[{"title":"List runs","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/runs","href":"/api-reference/runs/list-runs"},{"title":"Get a single run by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/runs/{id}","href":"/api-reference/runs/get-a-single-run-by-id"}]},{"group":"Style Guides","pages":[{"title":"List style guides","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/style-guides","href":"/api-reference/style-guides/list-style-guides"},{"title":"Create a new style guide","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/style-guides","href":"/api-reference/style-guides/create-a-new-style-guide"},{"title":"Get a single style guide by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/style-guides/{id}","href":"/api-reference/style-guides/get-a-single-style-guide-by-id"},{"title":"Update a style guide","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/style-guides/{id}","href":"/api-reference/style-guides/update-a-style-guide"}]},{"group":"Documents","pages":[{"title":"List documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents","href":"/api-reference/documents/list-documents"},{"title":"Create a new document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents","href":"/api-reference/documents/create-a-new-document"},{"title":"Get document counts","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/count","href":"/api-reference/documents/get-document-counts"},{"title":"Get document counts by assignee","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/count-by-assignee","href":"/api-reference/documents/get-document-counts-by-assignee"},{"title":"Delete multiple documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/delete","href":"/api-reference/documents/delete-multiple-documents"},{"title":"Bulk export documents as CSV","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/export/csv","href":"/api-reference/documents/bulk-export-documents-as-csv"},{"title":"Get all document IDs","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/ids","href":"/api-reference/documents/get-all-document-ids"},{"title":"Bulk optimize multiple documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/optimize","href":"/api-reference/documents/bulk-optimize-multiple-documents"},{"title":"Bulk update status of multiple document versions","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/status","href":"/api-reference/documents/bulk-update-status-of-multiple-document-versions"},{"title":"Bulk activate latest versions of multiple documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/activate-latest","href":"/api-reference/documents/bulk-activate-latest-versions-of-multiple-documents"},{"title":"Get a single document by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/{id}","href":"/api-reference/documents/get-a-single-document-by-id"},{"title":"Update a document's topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/documents/{id}","href":"/api-reference/documents/update-a-documents-topic"},{"title":"Delete a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/documents/{id}","href":"/api-reference/documents/delete-a-document"},{"title":"Assign a document to a user","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/documents/{id}/assign","href":"/api-reference/documents/assign-a-document-to-a-user"},{"title":"Remove assignee from a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/documents/{id}/assign","href":"/api-reference/documents/remove-assignee-from-a-document"},{"title":"Optimize a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/{id}/optimize","href":"/api-reference/documents/optimize-a-document"},{"title":"Update a document version","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/documents/{id}/versions/{versionNumber}","href":"/api-reference/documents/update-a-document-version"},{"title":"Upload documents via CSV, PDF, or XLSX file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/upload","href":"/api-reference/documents/upload-documents-via-csv-pdf-or-xlsx-file"},{"title":"Upload a batch of markdown documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/upload-markdown-batch","href":"/api-reference/documents/upload-a-batch-of-markdown-documents"},{"title":"Add tags to multiple documents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/tags","href":"/api-reference/documents/add-tags-to-multiple-documents"}]},{"group":"Document Versions","pages":[{"title":"List all versions of a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/{id}/versions","href":"/api-reference/document-versions/list-all-versions-of-a-document"},{"title":"Create a new version of a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/{id}/versions","href":"/api-reference/document-versions/create-a-new-version-of-a-document"},{"title":"Get a specific version of a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/{id}/versions/{versionNumber}","href":"/api-reference/document-versions/get-a-specific-version-of-a-document"},{"title":"Activate a specific version of a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/documents/{id}/versions/{versionNumber}/activate","href":"/api-reference/document-versions/activate-a-specific-version-of-a-document"}]},{"group":"Document Tests","pages":[{"title":"List document tests","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/tests","href":"/api-reference/document-tests/list-document-tests"},{"title":"Trigger document test","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/tests/trigger","href":"/api-reference/document-tests/trigger-document-test"},{"title":"Get document test detail","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/tests/{id}","href":"/api-reference/document-tests/get-document-test-detail"}]},{"group":"Tags","pages":[{"title":"List tags","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tags","href":"/api-reference/tags/list-tags"},{"title":"Create a new tag","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tags","href":"/api-reference/tags/create-a-new-tag"},{"title":"Get a single tag by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tags/{id}","href":"/api-reference/tags/get-a-single-tag-by-id"},{"title":"Update an existing tag","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/tags/{id}","href":"/api-reference/tags/update-an-existing-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/tags/{id}","href":"/api-reference/tags/delete-a-tag"},{"title":"Archive a tag","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/tags/{id}/archive","href":"/api-reference/tags/archive-a-tag"}]},{"group":"Document Tags","pages":[{"title":"Get tags for a document","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/documents/{id}/tags","href":"/api-reference/document-tags/get-tags-for-a-document"},{"title":"Update document tags","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/documents/{id}/tags","href":"/api-reference/document-tags/update-document-tags"}]},{"group":"Task Tags","pages":[{"title":"Get tags for a task","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/{id}/tags","href":"/api-reference/task-tags/get-tags-for-a-task"},{"title":"Update task tags","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/tasks/{id}/tags","href":"/api-reference/task-tags/update-task-tags"}]},{"group":"Scrape Jobs","pages":[{"title":"List all scrape jobs","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/scrape-jobs","href":"/api-reference/scrape-jobs/list-all-scrape-jobs"},{"title":"Create a scrape job","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/scrape-jobs","href":"/api-reference/scrape-jobs/create-a-scrape-job"},{"title":"Create a bulk scrape job","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/scrape-jobs/bulk","href":"/api-reference/scrape-jobs/create-a-bulk-scrape-job"},{"title":"Get a scrape job by ID","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/scrape-jobs/{id}","href":"/api-reference/scrape-jobs/get-a-scrape-job-by-id"},{"title":"Update a scrape job","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/scrape-jobs/{id}","href":"/api-reference/scrape-jobs/update-a-scrape-job"},{"title":"Delete a scrape job","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/scrape-jobs/{id}","href":"/api-reference/scrape-jobs/delete-a-scrape-job"},{"title":"Start scraping all pages of a scrape job","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/scrape-jobs/{id}/start","href":"/api-reference/scrape-jobs/start-scraping-all-pages-of-a-scrape-job"}]},{"group":"QuickstartsV2","pages":[{"title":"List quickstarts","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts","href":"/api-reference/quickstartsv2/list-quickstarts"},{"title":"Create a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/quickstarts","href":"/api-reference/quickstartsv2/create-a-quickstart"},{"title":"Get a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}","href":"/api-reference/quickstartsv2/get-a-quickstart"},{"title":"Update a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/quickstarts/{id}","href":"/api-reference/quickstartsv2/update-a-quickstart"},{"title":"Delete a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/quickstarts/{id}","href":"/api-reference/quickstartsv2/delete-a-quickstart"},{"title":"List topics for a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/topics","href":"/api-reference/quickstartsv2/list-topics-for-a-quickstart"},{"title":"List tasks for a quickstart topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/topics/{topicId}/tasks","href":"/api-reference/quickstartsv2/list-tasks-for-a-quickstart-topic"},{"title":"List topics for a quickstart with document statistics","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/document-topics","href":"/api-reference/quickstartsv2/list-topics-for-a-quickstart-with-document-statistics"},{"title":"List documents for a quickstart topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/topics/{topicId}/documents","href":"/api-reference/quickstartsv2/list-documents-for-a-quickstart-topic"},{"title":"List generated articles for a quickstart topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/topics/{topicId}/generated-articles","href":"/api-reference/quickstartsv2/list-generated-articles-for-a-quickstart-topic"},{"title":"Get KB material counts for a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/kb-material-counts","href":"/api-reference/quickstartsv2/get-kb-material-counts-for-a-quickstart"},{"title":"Get policy eval counts for a quickstart","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/quickstarts/{id}/policy-counts","href":"/api-reference/quickstartsv2/get-policy-eval-counts-for-a-quickstart"}]},{"group":"Conversations","pages":[{"title":"List conversations","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Get a conversation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/conversations/{id}","href":"/api-reference/conversations/get-a-conversation"},{"title":"Translate a conversation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/conversations/{id}/translate","href":"/api-reference/conversations/translate-a-conversation"},{"title":"Upload conversations via CSV file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/conversations/upload","href":"/api-reference/conversations/upload-conversations-via-csv-file"}]},{"group":"FileProcessings","pages":[{"title":"List file processings","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/file-processings","href":"/api-reference/fileprocessings/list-file-processings"}]},{"group":"File Processings","pages":[{"title":"Delete a file processing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/file-processings/{id}","href":"/api-reference/file-processings/delete-a-file-processing"}]},{"group":"Reports","pages":[{"title":"List reports","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting","href":"/api-reference/reports/list-reports"},{"title":"Create a new report","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/reporting","href":"/api-reference/reports/create-a-new-report"},{"title":"Get a single report","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/{id}","href":"/api-reference/reports/get-a-single-report"},{"title":"Update a report","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/reporting/{id}","href":"/api-reference/reports/update-a-report"},{"title":"Delete a report","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/reporting/{id}","href":"/api-reference/reports/delete-a-report"},{"title":"Get eval stats aggregated by date","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/eval-stats/by-date","href":"/api-reference/reports/get-eval-stats-aggregated-by-date"},{"title":"Get eval stats aggregated by date and eval definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/eval-stats/by-date-and-definition","href":"/api-reference/reports/get-eval-stats-aggregated-by-date-and-eval-definition"},{"title":"Get eval stats aggregated by date and topic","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/eval-stats/by-date-and-topic","href":"/api-reference/reports/get-eval-stats-aggregated-by-date-and-topic"},{"title":"Get eval stats aggregated by eval definition","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/eval-stats/by-definition","href":"/api-reference/reports/get-eval-stats-aggregated-by-eval-definition"},{"title":"Query reporting data","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/reporting/query","href":"/api-reference/reports/query-reporting-data"},{"title":"List available datasources","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/datasources","href":"/api-reference/reports/list-available-datasources"},{"title":"Get columns for a datasource","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/datasources/{id}/columns","href":"/api-reference/reports/get-columns-for-a-datasource"},{"title":"Get context-aware columns for a datasource","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/reporting/datasources/{id}/columns","href":"/api-reference/reports/get-context-aware-columns-for-a-datasource"},{"title":"Get distinct values for a column","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/datasources/{id}/columns/{columnId}/values","href":"/api-reference/reports/get-distinct-values-for-a-column"},{"title":"Get human annotation stats aggregated by date","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/human-annotation-stats/by-date","href":"/api-reference/reports/get-human-annotation-stats-aggregated-by-date"}]},{"group":"Model Pricing","pages":[{"title":"List model pricing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/model-pricing","href":"/api-reference/model-pricing/list-model-pricing"},{"title":"Create model pricing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/model-pricing","href":"/api-reference/model-pricing/create-model-pricing"},{"title":"Get model pricing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/model-pricing/{id}","href":"/api-reference/model-pricing/get-model-pricing"},{"title":"Update model pricing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/model-pricing/{id}","href":"/api-reference/model-pricing/update-model-pricing"},{"title":"Delete model pricing","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml delete /v0/model-pricing/{id}","href":"/api-reference/model-pricing/delete-model-pricing"}]},{"group":"Organization Config","pages":[{"title":"Get organization config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/org-config","href":"/api-reference/organization-config/get-organization-config"},{"title":"Update organization config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/org-config","href":"/api-reference/organization-config/update-organization-config"}]},{"group":"Organization Members","pages":[{"title":"List organization members","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/organization-members","href":"/api-reference/organization-members/list-organization-members"}]},{"group":"Human Annotations","pages":[{"title":"List human annotations","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/human-annotations","href":"/api-reference/human-annotations/list-human-annotations"},{"title":"Create a human annotation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/human-annotations","href":"/api-reference/human-annotations/create-a-human-annotation"},{"title":"Update a human annotation","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/human-annotations/{id}","href":"/api-reference/human-annotations/update-a-human-annotation"},{"title":"List human annotation queues","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/human-annotation-queues","href":"/api-reference/human-annotations/list-human-annotation-queues"},{"title":"List human annotation queue items","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/human-annotation-queue-items","href":"/api-reference/human-annotations/list-human-annotation-queue-items"}]},{"group":"Reporting","pages":[{"title":"Get quality metrics for the At a Glance page","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/reporting/quality-metrics","href":"/api-reference/reporting/get-quality-metrics-for-the-at-a-glance-page"}]}]}]},{"anchor":"Support","icon":"envelope","href":"mailto:support@avidoai.com"},{"anchor":"LLM-friendly docs","icon":"robot","href":"https://docs.avidoai.com/llms-full.txt"}]},"title":"Validate an incoming webhook request - Avido","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}